package com.hai.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class HighGasChannelConfigExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public HighGasChannelConfigExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andChannelIdIsNull() {
            addCriterion("channel_id is null");
            return (Criteria) this;
        }

        public Criteria andChannelIdIsNotNull() {
            addCriterion("channel_id is not null");
            return (Criteria) this;
        }

        public Criteria andChannelIdEqualTo(Integer value) {
            addCriterion("channel_id =", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdNotEqualTo(Integer value) {
            addCriterion("channel_id <>", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdGreaterThan(Integer value) {
            addCriterion("channel_id >", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("channel_id >=", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdLessThan(Integer value) {
            addCriterion("channel_id <", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdLessThanOrEqualTo(Integer value) {
            addCriterion("channel_id <=", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdIn(List<Integer> values) {
            addCriterion("channel_id in", values, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdNotIn(List<Integer> values) {
            addCriterion("channel_id not in", values, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdBetween(Integer value1, Integer value2) {
            addCriterion("channel_id between", value1, value2, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdNotBetween(Integer value1, Integer value2) {
            addCriterion("channel_id not between", value1, value2, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelNameIsNull() {
            addCriterion("channel_name is null");
            return (Criteria) this;
        }

        public Criteria andChannelNameIsNotNull() {
            addCriterion("channel_name is not null");
            return (Criteria) this;
        }

        public Criteria andChannelNameEqualTo(String value) {
            addCriterion("channel_name =", value, "channelName");
            return (Criteria) this;
        }

        public Criteria andChannelNameNotEqualTo(String value) {
            addCriterion("channel_name <>", value, "channelName");
            return (Criteria) this;
        }

        public Criteria andChannelNameGreaterThan(String value) {
            addCriterion("channel_name >", value, "channelName");
            return (Criteria) this;
        }

        public Criteria andChannelNameGreaterThanOrEqualTo(String value) {
            addCriterion("channel_name >=", value, "channelName");
            return (Criteria) this;
        }

        public Criteria andChannelNameLessThan(String value) {
            addCriterion("channel_name <", value, "channelName");
            return (Criteria) this;
        }

        public Criteria andChannelNameLessThanOrEqualTo(String value) {
            addCriterion("channel_name <=", value, "channelName");
            return (Criteria) this;
        }

        public Criteria andChannelNameLike(String value) {
            addCriterion("channel_name like", value, "channelName");
            return (Criteria) this;
        }

        public Criteria andChannelNameNotLike(String value) {
            addCriterion("channel_name not like", value, "channelName");
            return (Criteria) this;
        }

        public Criteria andChannelNameIn(List<String> values) {
            addCriterion("channel_name in", values, "channelName");
            return (Criteria) this;
        }

        public Criteria andChannelNameNotIn(List<String> values) {
            addCriterion("channel_name not in", values, "channelName");
            return (Criteria) this;
        }

        public Criteria andChannelNameBetween(String value1, String value2) {
            addCriterion("channel_name between", value1, value2, "channelName");
            return (Criteria) this;
        }

        public Criteria andChannelNameNotBetween(String value1, String value2) {
            addCriterion("channel_name not between", value1, value2, "channelName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeIsNull() {
            addCriterion("pay_platform_type is null");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeIsNotNull() {
            addCriterion("pay_platform_type is not null");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeEqualTo(Integer value) {
            addCriterion("pay_platform_type =", value, "payPlatformType");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeNotEqualTo(Integer value) {
            addCriterion("pay_platform_type <>", value, "payPlatformType");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeGreaterThan(Integer value) {
            addCriterion("pay_platform_type >", value, "payPlatformType");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("pay_platform_type >=", value, "payPlatformType");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeLessThan(Integer value) {
            addCriterion("pay_platform_type <", value, "payPlatformType");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeLessThanOrEqualTo(Integer value) {
            addCriterion("pay_platform_type <=", value, "payPlatformType");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeIn(List<Integer> values) {
            addCriterion("pay_platform_type in", values, "payPlatformType");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeNotIn(List<Integer> values) {
            addCriterion("pay_platform_type not in", values, "payPlatformType");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeBetween(Integer value1, Integer value2) {
            addCriterion("pay_platform_type between", value1, value2, "payPlatformType");
            return (Criteria) this;
        }

        public Criteria andPayPlatformTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("pay_platform_type not between", value1, value2, "payPlatformType");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameIsNull() {
            addCriterion("pay_platform_mer_name is null");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameIsNotNull() {
            addCriterion("pay_platform_mer_name is not null");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameEqualTo(String value) {
            addCriterion("pay_platform_mer_name =", value, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameNotEqualTo(String value) {
            addCriterion("pay_platform_mer_name <>", value, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameGreaterThan(String value) {
            addCriterion("pay_platform_mer_name >", value, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameGreaterThanOrEqualTo(String value) {
            addCriterion("pay_platform_mer_name >=", value, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameLessThan(String value) {
            addCriterion("pay_platform_mer_name <", value, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameLessThanOrEqualTo(String value) {
            addCriterion("pay_platform_mer_name <=", value, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameLike(String value) {
            addCriterion("pay_platform_mer_name like", value, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameNotLike(String value) {
            addCriterion("pay_platform_mer_name not like", value, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameIn(List<String> values) {
            addCriterion("pay_platform_mer_name in", values, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameNotIn(List<String> values) {
            addCriterion("pay_platform_mer_name not in", values, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameBetween(String value1, String value2) {
            addCriterion("pay_platform_mer_name between", value1, value2, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNameNotBetween(String value1, String value2) {
            addCriterion("pay_platform_mer_name not between", value1, value2, "payPlatformMerName");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoIsNull() {
            addCriterion("pay_platform_mer_no is null");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoIsNotNull() {
            addCriterion("pay_platform_mer_no is not null");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoEqualTo(String value) {
            addCriterion("pay_platform_mer_no =", value, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoNotEqualTo(String value) {
            addCriterion("pay_platform_mer_no <>", value, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoGreaterThan(String value) {
            addCriterion("pay_platform_mer_no >", value, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoGreaterThanOrEqualTo(String value) {
            addCriterion("pay_platform_mer_no >=", value, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoLessThan(String value) {
            addCriterion("pay_platform_mer_no <", value, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoLessThanOrEqualTo(String value) {
            addCriterion("pay_platform_mer_no <=", value, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoLike(String value) {
            addCriterion("pay_platform_mer_no like", value, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoNotLike(String value) {
            addCriterion("pay_platform_mer_no not like", value, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoIn(List<String> values) {
            addCriterion("pay_platform_mer_no in", values, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoNotIn(List<String> values) {
            addCriterion("pay_platform_mer_no not in", values, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoBetween(String value1, String value2) {
            addCriterion("pay_platform_mer_no between", value1, value2, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andPayPlatformMerNoNotBetween(String value1, String value2) {
            addCriterion("pay_platform_mer_no not between", value1, value2, "payPlatformMerNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusIsNull() {
            addCriterion("profit_sharing_status is null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusIsNotNull() {
            addCriterion("profit_sharing_status is not null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusEqualTo(Boolean value) {
            addCriterion("profit_sharing_status =", value, "profitSharingStatus");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusNotEqualTo(Boolean value) {
            addCriterion("profit_sharing_status <>", value, "profitSharingStatus");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusGreaterThan(Boolean value) {
            addCriterion("profit_sharing_status >", value, "profitSharingStatus");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusGreaterThanOrEqualTo(Boolean value) {
            addCriterion("profit_sharing_status >=", value, "profitSharingStatus");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusLessThan(Boolean value) {
            addCriterion("profit_sharing_status <", value, "profitSharingStatus");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusLessThanOrEqualTo(Boolean value) {
            addCriterion("profit_sharing_status <=", value, "profitSharingStatus");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusIn(List<Boolean> values) {
            addCriterion("profit_sharing_status in", values, "profitSharingStatus");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusNotIn(List<Boolean> values) {
            addCriterion("profit_sharing_status not in", values, "profitSharingStatus");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusBetween(Boolean value1, Boolean value2) {
            addCriterion("profit_sharing_status between", value1, value2, "profitSharingStatus");
            return (Criteria) this;
        }

        public Criteria andProfitSharingStatusNotBetween(Boolean value1, Boolean value2) {
            addCriterion("profit_sharing_status not between", value1, value2, "profitSharingStatus");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoIsNull() {
            addCriterion("profit_sharing_receivers_no is null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoIsNotNull() {
            addCriterion("profit_sharing_receivers_no is not null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoEqualTo(String value) {
            addCriterion("profit_sharing_receivers_no =", value, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoNotEqualTo(String value) {
            addCriterion("profit_sharing_receivers_no <>", value, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoGreaterThan(String value) {
            addCriterion("profit_sharing_receivers_no >", value, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoGreaterThanOrEqualTo(String value) {
            addCriterion("profit_sharing_receivers_no >=", value, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoLessThan(String value) {
            addCriterion("profit_sharing_receivers_no <", value, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoLessThanOrEqualTo(String value) {
            addCriterion("profit_sharing_receivers_no <=", value, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoLike(String value) {
            addCriterion("profit_sharing_receivers_no like", value, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoNotLike(String value) {
            addCriterion("profit_sharing_receivers_no not like", value, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoIn(List<String> values) {
            addCriterion("profit_sharing_receivers_no in", values, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoNotIn(List<String> values) {
            addCriterion("profit_sharing_receivers_no not in", values, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoBetween(String value1, String value2) {
            addCriterion("profit_sharing_receivers_no between", value1, value2, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNoNotBetween(String value1, String value2) {
            addCriterion("profit_sharing_receivers_no not between", value1, value2, "profitSharingReceiversNo");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioIsNull() {
            addCriterion("profit_sharing_ratio is null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioIsNotNull() {
            addCriterion("profit_sharing_ratio is not null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_ratio =", value, "profitSharingRatio");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioNotEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_ratio <>", value, "profitSharingRatio");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioGreaterThan(BigDecimal value) {
            addCriterion("profit_sharing_ratio >", value, "profitSharingRatio");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_ratio >=", value, "profitSharingRatio");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioLessThan(BigDecimal value) {
            addCriterion("profit_sharing_ratio <", value, "profitSharingRatio");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioLessThanOrEqualTo(BigDecimal value) {
            addCriterion("profit_sharing_ratio <=", value, "profitSharingRatio");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioIn(List<BigDecimal> values) {
            addCriterion("profit_sharing_ratio in", values, "profitSharingRatio");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioNotIn(List<BigDecimal> values) {
            addCriterion("profit_sharing_ratio not in", values, "profitSharingRatio");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("profit_sharing_ratio between", value1, value2, "profitSharingRatio");
            return (Criteria) this;
        }

        public Criteria andProfitSharingRatioNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("profit_sharing_ratio not between", value1, value2, "profitSharingRatio");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameIsNull() {
            addCriterion("profit_sharing_receivers_name is null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameIsNotNull() {
            addCriterion("profit_sharing_receivers_name is not null");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameEqualTo(String value) {
            addCriterion("profit_sharing_receivers_name =", value, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameNotEqualTo(String value) {
            addCriterion("profit_sharing_receivers_name <>", value, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameGreaterThan(String value) {
            addCriterion("profit_sharing_receivers_name >", value, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameGreaterThanOrEqualTo(String value) {
            addCriterion("profit_sharing_receivers_name >=", value, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameLessThan(String value) {
            addCriterion("profit_sharing_receivers_name <", value, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameLessThanOrEqualTo(String value) {
            addCriterion("profit_sharing_receivers_name <=", value, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameLike(String value) {
            addCriterion("profit_sharing_receivers_name like", value, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameNotLike(String value) {
            addCriterion("profit_sharing_receivers_name not like", value, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameIn(List<String> values) {
            addCriterion("profit_sharing_receivers_name in", values, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameNotIn(List<String> values) {
            addCriterion("profit_sharing_receivers_name not in", values, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameBetween(String value1, String value2) {
            addCriterion("profit_sharing_receivers_name between", value1, value2, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andProfitSharingReceiversNameNotBetween(String value1, String value2) {
            addCriterion("profit_sharing_receivers_name not between", value1, value2, "profitSharingReceiversName");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}